import { AxiosPromise, AxiosRequestConfig } from 'axios';
import RequestPolicy from '../Request/RequestPolicy';
declare class PolicyApi {
    private httpConfig;
    constructor(httpConfig: AxiosRequestConfig);
    purchase(request: RequestPolicy): AxiosPromise;
    getByPolicyNumber(policyNumber: string): AxiosPromise;
    getByBookingReference(bookingReference: string): AxiosPromise;
    getByBookingId(bookingId: number): AxiosPromise;
    getByHashId(hashId: string): AxiosPromise;
}
export default PolicyApi;
